<?php

/**
 * Ele Blog
 *
 * @package     ele-blog
 * @author      SolverWP
 * @copyright   2021 solverwp
 * @license     GPL-2.0-or-later
 *
 * Plugin Name: Ele Blog 
 * Plugin URI:  https://solverwp.com/
 * Description: Ele Blog is a elementor extention to display deafult WordPress Blog Posts. It's has 10+  premade blog style like grid style, slider, isotop etc.
 * Version:     2.0.1
 * Author:      SolverWP
 * Author URI:  https://profiles.wordpress.org/quazisazzad/
 * Text Domain: ele-blog
 * License:     GPL v2 or later
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 *
 */


if (!defined('ABSPATH')) {
	die;
}


/*
 * Define Plugin Dir Path
 * @since 1.0.0
 * */
define('ELE_BLOG_ROOT_PATH', plugin_dir_path(__FILE__));
define('ELE_BLOG_ROOT_URL', plugin_dir_url(__FILE__));
define('ELE_BLOG_INC', ELE_BLOG_ROOT_PATH . '/inc');
define('ELE_BLOG_CSS', ELE_BLOG_ROOT_URL . 'assets/css');
define('ELE_BLOG_JS', ELE_BLOG_ROOT_URL . 'assets/js');
define('ELE_BLOG_ELEMENTOR', ELE_BLOG_ROOT_PATH . '/elementor');


/** Plugin version **/
define('ELE_BLOG_VERSION', '1.0.0');



/**
 * Load plugin textdomain.
 */
add_action('plugins_loaded', 'ele_blog_textdomain');
if (!function_exists('ele_blog_textdomain')) {

	function ele_blog_textdomain()
	{
		load_plugin_textdomain('ele-blog', false, plugin_basename(dirname(__FILE__)) . '/language');
	}
}


/*
 * require file
*/

if (file_exists(ELE_BLOG_INC . '/class-ele-blog-init.php')) {
	require_once ELE_BLOG_INC . '/class-ele-blog-init.php';
}
